Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public class

# Query

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.drive.query.Query

## Class Overview

The query object specifies constraints on a query result, including filters and paging information.

## Summary

Nested Classes
class | Query.Builder | A builder for creating queries.

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<Query> | CREATOR |

Public Methods
int | describeContents()
Filter | getFilter() Get the filters that will restrict the query results.
String | getPageToken() A token that indicates the next page of results to retrieve.
void | writeToParcel(Parcel out, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<Query> CREATOR

## Public Methods

#### public int describeContents ()

#### public Filter getFilter ()

Get the filters that will restrict the query results.

#### public String getPageToken ()

A token that indicates the next page of results to retrieve. This should be a token that was returned in a previous query.

#### public void writeToParcel (Parcel out, int flags)